$(function(){
  "use strict";
  /* 最初隠しておきたいクラスとかはここに入れておく */
    $(".fadeInFirst, .fadeInUp, .fadeInUp02, .fadeInUpImg, .fadeInDown, .fadeInRight, .fadeInLeft, .fadeInUpGraph01, .fadeInUpGraph02, .fadeInArrow01, .fadeInArrow02, .fadeInAuxiliary01, .fadeInAuxiliary02, .img01, .img02, animate_animated, animate_zoomInRight, animate_slow").css("visibility", "hidden");

  $(window).on("load", function() {
    var windowHeight = $(window).height();
    var topWindow = $(window).scrollTop();
    $('.fadeInFirst').each(function(){
      $(this).addClass("animation_fadeInUp");
    });
    setTimeout(function() {
      $('.fadeInUp').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInUp");
        }
      });
      $('.fadeInUpImg').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInUpImg");
        }
      });
      $('.fadeInUp02').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInUp02");
        }
      });
      $('.fadeInDown').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInDown");
        }
      });
      $('.fadeInRight').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInRight");
        }
      });
      $('.fadeInLeft').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInLeft");
        }
      });
      $('.fadeInUpGraph01').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInUpGraph01");
        }
      });
      $('.fadeInUpGraph02').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animation_fadeInUpGraph02");
        }
      });
      $('.animate_animated').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animate__animated");
        }
      });
      $('.animate_zoomInRight').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animate__zoomInRight");
        }
      });
      $('.animate_slow').each(function(){
        if(topWindow > $(this).offset().top - windowHeight + 40){
          $(this).addClass("animate__slow");
        }
      });
    }, 300);
  });

  $(window).on("scroll",function(){
    var windowHeight = $(window).height();
    var topWindow = $(window).scrollTop();
    $('.fadeInUp').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + windowHeight/5){
        $(this).addClass("animation_fadeInUp");
      }
    });
    $('.img01').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + windowHeight/5){
        $(this).addClass("animation_img01");
      }
    });
    $('.img02').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + windowHeight/5){
        $(this).addClass("animation_img02");
      }
    });
    $('.fadeInUpImg').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInUpImg");
      }
    });
    $('.fadeInDown').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInDown");
      }
    });
    $('.fadeInRight').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + windowHeight/5){
        $(this).addClass("animation_fadeInRight");
      }
    });
    $('.fadeInLeft').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + windowHeight/5){
        $(this).addClass("animation_fadeInLeft");
      }
    });
    $('.fadeInUpGraph01').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInUpGraph01");
      }
    });
    $('.fadeInUpGraph02').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInUpGraph02");
      }
    });
    $('.fadeInArrow01').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInArrow01");
      }
    });
    $('.fadeInArrow02').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInArrow02");
      }
    });
    $('.fadeInAuxiliary01').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInAuxiliary01");
      }
    });
    $('.fadeInAuxiliary02').each(function(){
      if(topWindow > $(this).offset().top - windowHeight + 40){
        $(this).addClass("animation_fadeInAuxiliary02");
      }
    });
  });
});



